> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project Release



## OpenAPI

````yaml POST /v1/project-releases
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/project-releases:
    post:
      tags:
        - project-releases
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - ROLLBACK
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    selectedFlowsIds:
                      type: array
                      items:
                        type: string
                      nullable: true
                    projectId:
                      type: string
                    projectReleaseId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
                    - projectReleaseId
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - PROJECT
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    selectedFlowsIds:
                      type: array
                      items:
                        type: string
                      nullable: true
                    projectId:
                      type: string
                    targetProjectId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
                    - targetProjectId
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - GIT
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    selectedFlowsIds:
                      type: array
                      items:
                        type: string
                      nullable: true
                    projectId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
              discriminator:
                propertyName: type
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    type: string
                  updated:
                    type: string
                  projectId:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  importedBy:
                    type: string
                    nullable: true
                  fileId:
                    type: string
                  type:
                    anyOf:
                      - type: string
                        enum:
                          - GIT
                      - type: string
                        enum:
                          - PROJECT
                      - type: string
                        enum:
                          - ROLLBACK
                  importedByUser:
                    type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                      firstName:
                        type: string
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - ACTIVE
                          - type: string
                            enum:
                              - INACTIVE
                      externalId:
                        type: string
                        nullable: true
                      lastChangelogDismissed:
                        type: string
                        nullable: true
                      platformId:
                        type: string
                        nullable: true
                      platformRole:
                        anyOf:
                          - type: string
                            enum:
                              - ADMIN
                          - type: string
                            enum:
                              - MEMBER
                          - type: string
                            enum:
                              - OPERATOR
                      lastName:
                        type: string
                      created:
                        type: string
                      updated:
                        type: string
                    required:
                      - id
                      - email
                      - firstName
                      - status
                      - platformRole
                      - lastName
                      - created
                      - updated
                required:
                  - id
                  - created
                  - updated
                  - projectId
                  - name
                  - fileId
                  - type
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````